# ClassificationDataSpecification (ARX GUI Documentation)

org.deidentifier.arx.aggregates.classification

## Class ClassificationDataSpecification

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationDataSpecification

-     public class ClassificationDataSpecification
      extends java.lang.Object

  A complete specification of all input and output data

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `classIndex` Index
    `java.util.Map<java.lang.String,java.lang.Integer>` | `classMap` Map
    `int[]` | `featureIndices` Indexes
    `ClassificationFeatureMetadata[]` | `inputFeatureMetadata` Feature meta data
    `ClassificationFeatureMetadata[]` | `outputFeatureMetadata` Feature meta data

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassificationDataSpecification(DataHandleInternal inputFeatureHandle, DataHandleInternal outputFeatureHandle, java.lang.String[] features, java.lang.String clazz, WrappedBoolean interrupt)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int[]` | `getFeatureIndices(DataHandleInternal handle, java.lang.String[] features, java.lang.String clazz)` Returns the indexes of all features
    `protected ClassificationFeatureMetadata[]` | `getFeatureMetadata(DataHandleInternal handle, int[] features)` Returns feature metadata
    `protected boolean` | `isContained(java.lang.String[] array, java.lang.String value)` Returns whether the given array contains the given value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classIndex

          public final int classIndex

      Index

    - #### classMap

          public final java.util.Map<java.lang.String,java.lang.Integer> classMap

      Map

    - #### featureIndices

          public final int[] featureIndices

      Indexes

    - #### inputFeatureMetadata

          public final ClassificationFeatureMetadata[] inputFeatureMetadata

      Feature meta data

    - #### outputFeatureMetadata

          public final ClassificationFeatureMetadata[] outputFeatureMetadata

      Feature meta data

  - ### Constructor Detail

    - #### ClassificationDataSpecification

          public ClassificationDataSpecification(DataHandleInternal inputFeatureHandle,
                                         DataHandleInternal outputFeatureHandle,
                                         java.lang.String[] features,
                                         java.lang.String clazz,
                                         WrappedBoolean interrupt)

      Creates a new instance
      Parameters:
        `inputFeatureHandle` -
        `outputFeatureHandle` -
        `classHandle` -
        `features` -
        `clazz` -
        `interrupt` -

  - ### Method Detail

    - #### getFeatureIndices

          protected int[] getFeatureIndices(DataHandleInternal handle,
                                java.lang.String[] features,
                                java.lang.String clazz)

      Returns the indexes of all features
      Parameters:
        `handle` -
        `features` -
        `clazz` -
      Returns:

    - #### getFeatureMetadata

          protected ClassificationFeatureMetadata[] getFeatureMetadata(DataHandleInternal handle,
                                                           int[] features)

      Returns feature metadata
      Parameters:
        `handle` -
        `features` -
      Returns:

    - #### isContained

          protected boolean isContained(java.lang.String[] array,
                            java.lang.String value)

      Returns whether the given array contains the given value
      Parameters:
        `array` -
        `value` -
      Returns: